{% extends "admin/base_site.html" %}
{% load i18n static %}

{% block title %} Change Password {% endblock title %}
{% block extrastyle %}{{ block.super }}<link rel="stylesheet" type="text/css" href='{% static "admin/css/custom.min.css" %}' />{% endblock %}

{% block content %}
  <div class="row changeform-top">
    <div class="col-md-12">
      <div class="x_panel">
        <div class="x_title">
          <h2>Change Password</h2>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>
        
        <div class="x_content">
          <form method="post" class="form-horizontal form-label-left">
          {% csrf_token %}
            <div>
              <p>{% trans "Please enter your old password, for security's sake, and then enter your new password twice so we can verify you typed it in correctly." %}</p>

              {% if form.errors %}
                <div class="alert alert-danger" role="alert">
                  {% if form.errors.items|length == 1 %}{% trans "Please correct the error below." %}{% else %}{% trans "Please correct the errors below." %}{% endif %}
                </div>
              {% endif %}

              <fieldset class="module aligned wide">
                <div class="form-row {% if form.old_password.errors %}errors{% endif %} field-old_password">
                  <div class="form-group">
                    <label for="id_old_password" class="control-label col-md-3 col-sm-3 col-xs-12">{{ form.old_password.label }}:</label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                      <input type="password" name="old_password" id="id_old_password" class="form-control"/>
                    </div>
                    
                    {% if form.old_password.errors %}
                      <div class="col-md-offset-3 col-md-6 col-sm-offset-3 col-sm-6 col-xs-12">
                        {{ form.old_password.errors }}
                      </div>
                    {% endif %}
                  </div>
                </div>

                <div class="form-row {% if form.new_password1.errors %}errors{% endif %} field-new_password1">
                  <div class="form-group">
                    <label for="id_new_password1" class="control-label col-md-3 col-sm-3 col-xs-12">{{ form.new_password1.label }}:</label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                      <input type="password" name="new_password1" id="id_new_password1" class="form-control"/>
                    </div>
                    
                    {% if form.new_password1.errors %}
                      <div class="col-md-offset-3 col-md-6 col-sm-offset-3 col-sm-6 col-xs-12">
                        {{ form.new_password1.errors }}
                      </div>
                    {% endif %}
                    
                    {% if form.new_password1.help_text %}
                      <div class="col-md-offset-3 col-md-6 col-sm-offset-3 col-sm-6 col-xs-12">
                        <div class="help">{{ form.new_password1.help_text|safe }}</div>
                      </div>
                    {% endif %}
                  </div>
                </div>

                <div class="form-row {% if form.new_password2.errors %}errors{% endif %} field-new_password2">
                  <div class="form-group">
                    <label for="id_new_password2" class="control-label col-md-3 col-sm-3 col-xs-12">{{ form.new_password2.label }}:</label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                      <input type="password" name="new_password2" id="id_new_password2" class="form-control"/>
                    </div>
                    
                    {% if form.new_password2.errors %}
                      <div class="col-md-offset-3 col-md-6 col-sm-offset-3 col-sm-6 col-xs-12">
                        {{ form.new_password2.errors }}
                      </div>
                    {% endif %}
                                        
                    {% if form.new_password2.help_text %}
                      <div class="col-md-offset-3 col-md-6 col-sm-offset-3 col-sm-6 col-xs-12">
                        <div class="help">{{ form.new_password2.help_text|safe }}</div>
                      </div>
                    {% endif %}
                  </div>
                </div>

              </fieldset>

              <div class="submit-row">
                  <input type="submit" value="{% trans 'Change my password' %}" class="btn btn-success" />
              </div>

            </div>
          </form>
        </div>

      </div>
    </div>
  </div>
{% endblock %}